boehm-gc/ChangeLog:
2008-10-07  Bernhard Reutner-Fischer  <>

	* include/gc.h (GC_HAVE_BUILTIN_BACKTRACE): Add check for
	__UCLIBC_HAS_BACKTRACE__.

--- gcc-4.0.0/boehm-gc/include/gc.h-orig	2005-04-28 22:28:57.000000000 -0500
+++ gcc-4.0.0/boehm-gc/include/gc.h	2005-04-28 22:30:38.000000000 -0500
@@ -500,7 +500,7 @@
 #ifdef __linux__
 # include <features.h>
 # if (__GLIBC__ == 2 && __GLIBC_MINOR__ >= 1 || __GLIBC__ > 2) \
-     && !defined(__ia64__)
+     && !defined(__ia64__) || defined(__UCLIBC_HAS_BACKTRACE__)
 #   ifndef GC_HAVE_BUILTIN_BACKTRACE
 #     define GC_HAVE_BUILTIN_BACKTRACE
 #   endif
